path: /build/build/libbytesize-dev-libs-2.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-libs/libbytesize -pv -t && \
    USE="-doc -python -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-libs/libbytesize
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libbytesize && luet-portage --dir /pkgdir/libbytesize
    dev-libs/libbytesize && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b6f9735382b20e2176ed3dbbd8130c591f17a39c1b254f1141f6cf3697afbc91
  package:
    name: libbytesize
    version: 2.0+1
    category: dev-libs
    use_flags:
    - -doc
    - -python
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: argon2
      version: '>=0'
      category: app-crypt
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tiny library providing a C "class" for working with arbitrary big
      sizes in bytes
    uri:
    - https://github.com/storaged-project/libbytesize
    license: LGPL-2+
    buildtimestamp: 2023-08-25 17:37:11.442897705 +0000 UTC m=+223.598586939
    labels:
      BDEPEND: sys-devel/gettext doc? ( dev-util/gtk-doc ) test? ( dev-python/pocketlint[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/polib[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      DEPEND: dev-libs/gmp:0= dev-libs/mpfr:= dev-libs/libpcre2 python? ( python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      IUSE: doc python test tools python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: dev-libs/gmp:0= dev-libs/mpfr:= dev-libs/libpcre2 python? ( python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      emerge.packages: dev-libs/libbytesize
      kit: dev-kit
      original.package.name: dev-libs/libbytesize
      original.package.slot: "0"
      original.package.version: 2.0-r3
    treedir: /build/packages
  package_dir: /pkgdir/libbytesize
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ffb2d464b7bf0612402d990fd5f592504de5c850da6b44d6f9414e37b9346bc8
compressiontype: zstd
files:
- usr/include/bytesize/bs_size.h
- usr/lib64/libbytesize.so
- usr/lib64/libbytesize.so.1
- usr/lib64/libbytesize.so.1.0.0
- usr/lib64/pkgconfig/bytesize.pc
- usr/share/doc/libbytesize-2.0-r3/README.md.bz2
- usr/share/locale/af/LC_MESSAGES/libbytesize.mo
- usr/share/locale/am/LC_MESSAGES/libbytesize.mo
- usr/share/locale/anp/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ar/LC_MESSAGES/libbytesize.mo
- usr/share/locale/as/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ast/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bal/LC_MESSAGES/libbytesize.mo
- usr/share/locale/be/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bg/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bn/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bn_IN/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bo/LC_MESSAGES/libbytesize.mo
- usr/share/locale/br/LC_MESSAGES/libbytesize.mo
- usr/share/locale/brx/LC_MESSAGES/libbytesize.mo
- usr/share/locale/bs/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ca/LC_MESSAGES/libbytesize.mo
- usr/share/locale/cs/LC_MESSAGES/libbytesize.mo
- usr/share/locale/cy/LC_MESSAGES/libbytesize.mo
- usr/share/locale/da/LC_MESSAGES/libbytesize.mo
- usr/share/locale/de/LC_MESSAGES/libbytesize.mo
- usr/share/locale/de_CH/LC_MESSAGES/libbytesize.mo
- usr/share/locale/el/LC_MESSAGES/libbytesize.mo
- usr/share/locale/en_GB/LC_MESSAGES/libbytesize.mo
- usr/share/locale/eo/LC_MESSAGES/libbytesize.mo
- usr/share/locale/es/LC_MESSAGES/libbytesize.mo
- usr/share/locale/et/LC_MESSAGES/libbytesize.mo
- usr/share/locale/eu/LC_MESSAGES/libbytesize.mo
- usr/share/locale/fa/LC_MESSAGES/libbytesize.mo
- usr/share/locale/fi/LC_MESSAGES/libbytesize.mo
- usr/share/locale/fr/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ga/LC_MESSAGES/libbytesize.mo
- usr/share/locale/gl/LC_MESSAGES/libbytesize.mo
- usr/share/locale/gu/LC_MESSAGES/libbytesize.mo
- usr/share/locale/he/LC_MESSAGES/libbytesize.mo
- usr/share/locale/hi/LC_MESSAGES/libbytesize.mo
- usr/share/locale/hr/LC_MESSAGES/libbytesize.mo
- usr/share/locale/hu/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ia/LC_MESSAGES/libbytesize.mo
- usr/share/locale/id/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ilo/LC_MESSAGES/libbytesize.mo
- usr/share/locale/is/LC_MESSAGES/libbytesize.mo
- usr/share/locale/it/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ja/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ka/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kk/LC_MESSAGES/libbytesize.mo
- usr/share/locale/km/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kn/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ko/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kw/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kw@kkcor/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kw@uccor/LC_MESSAGES/libbytesize.mo
- usr/share/locale/kw_GB/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ky/LC_MESSAGES/libbytesize.mo
- usr/share/locale/lt/LC_MESSAGES/libbytesize.mo
- usr/share/locale/lv/LC_MESSAGES/libbytesize.mo
- usr/share/locale/mai/LC_MESSAGES/libbytesize.mo
- usr/share/locale/mk/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ml/LC_MESSAGES/libbytesize.mo
- usr/share/locale/mn/LC_MESSAGES/libbytesize.mo
- usr/share/locale/mr/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ms/LC_MESSAGES/libbytesize.mo
- usr/share/locale/my/LC_MESSAGES/libbytesize.mo
- usr/share/locale/nb/LC_MESSAGES/libbytesize.mo
- usr/share/locale/nds/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ne/LC_MESSAGES/libbytesize.mo
- usr/share/locale/nl/LC_MESSAGES/libbytesize.mo
- usr/share/locale/nn/LC_MESSAGES/libbytesize.mo
- usr/share/locale/nso/LC_MESSAGES/libbytesize.mo
- usr/share/locale/or/LC_MESSAGES/libbytesize.mo
- usr/share/locale/pa/LC_MESSAGES/libbytesize.mo
- usr/share/locale/pl/LC_MESSAGES/libbytesize.mo
- usr/share/locale/pt/LC_MESSAGES/libbytesize.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ro/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ru/LC_MESSAGES/libbytesize.mo
- usr/share/locale/si/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sk/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sl/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sq/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sr/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libbytesize.mo
- usr/share/locale/sv/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ta/LC_MESSAGES/libbytesize.mo
- usr/share/locale/te/LC_MESSAGES/libbytesize.mo
- usr/share/locale/tg/LC_MESSAGES/libbytesize.mo
- usr/share/locale/th/LC_MESSAGES/libbytesize.mo
- usr/share/locale/tr/LC_MESSAGES/libbytesize.mo
- usr/share/locale/tw/LC_MESSAGES/libbytesize.mo
- usr/share/locale/uk/LC_MESSAGES/libbytesize.mo
- usr/share/locale/ur/LC_MESSAGES/libbytesize.mo
- usr/share/locale/vi/LC_MESSAGES/libbytesize.mo
- usr/share/locale/wba/LC_MESSAGES/libbytesize.mo
- usr/share/locale/yo/LC_MESSAGES/libbytesize.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libbytesize.mo
- usr/share/locale/zh_HK/LC_MESSAGES/libbytesize.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libbytesize.mo
- usr/share/locale/zu/LC_MESSAGES/libbytesize.mo
- var/db/pkg/dev-libs/libbytesize-2.0-r3/BDEPEND
- var/db/pkg/dev-libs/libbytesize-2.0-r3/BUILD_TIME
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CATEGORY
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CBUILD
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CFLAGS
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CHOST
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CONTENTS
- var/db/pkg/dev-libs/libbytesize-2.0-r3/COUNTER
- var/db/pkg/dev-libs/libbytesize-2.0-r3/CXXFLAGS
- var/db/pkg/dev-libs/libbytesize-2.0-r3/DEFINED_PHASES
- var/db/pkg/dev-libs/libbytesize-2.0-r3/DEPEND
- var/db/pkg/dev-libs/libbytesize-2.0-r3/DESCRIPTION
- var/db/pkg/dev-libs/libbytesize-2.0-r3/EAPI
- var/db/pkg/dev-libs/libbytesize-2.0-r3/FEATURES
- var/db/pkg/dev-libs/libbytesize-2.0-r3/HOMEPAGE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/INHERITED
- var/db/pkg/dev-libs/libbytesize-2.0-r3/IUSE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/KEYWORDS
- var/db/pkg/dev-libs/libbytesize-2.0-r3/LDFLAGS
- var/db/pkg/dev-libs/libbytesize-2.0-r3/LICENSE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/NEEDED
- var/db/pkg/dev-libs/libbytesize-2.0-r3/PF
- var/db/pkg/dev-libs/libbytesize-2.0-r3/PROVIDES
- var/db/pkg/dev-libs/libbytesize-2.0-r3/RDEPEND
- var/db/pkg/dev-libs/libbytesize-2.0-r3/REQUIRES
- var/db/pkg/dev-libs/libbytesize-2.0-r3/RESTRICT
- var/db/pkg/dev-libs/libbytesize-2.0-r3/SIZE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/SLOT
- var/db/pkg/dev-libs/libbytesize-2.0-r3/USE
- var/db/pkg/dev-libs/libbytesize-2.0-r3/environment.bz2
- var/db/pkg/dev-libs/libbytesize-2.0-r3/libbytesize-2.0-r3.ebuild
- var/db/pkg/dev-libs/libbytesize-2.0-r3/repository
package_cacheimage: ""
runtime:
  name: libbytesize
  version: 2.0+1
  category: dev-libs
  use_flags:
  - -doc
  - -python
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: libpcre2
    version: '>=0'
    category: dev-libs
  - name: mpfr
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tiny library providing a C "class" for working with arbitrary big sizes
    in bytes
  uri:
  - https://github.com/storaged-project/libbytesize
  license: LGPL-2+
  labels:
    BDEPEND: sys-devel/gettext doc? ( dev-util/gtk-doc ) test? ( dev-python/pocketlint[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/polib[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    DEPEND: dev-libs/gmp:0= dev-libs/mpfr:= dev-libs/libpcre2 python? ( python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    IUSE: doc python test tools python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: dev-libs/gmp:0= dev-libs/mpfr:= dev-libs/libpcre2 python? ( python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    emerge.packages: dev-libs/libbytesize
    kit: dev-kit
    original.package.name: dev-libs/libbytesize
    original.package.slot: "0"
    original.package.version: 2.0-r3
